GDB (xrefs)

Public Attributes | List of all members
darwin_exception_msg Struct Reference

`#include "darwin-nat.h"`

## Public Attributes
mach_msg_header_t | header
mach_port_t | thread_port
mach_port_t | task_port
exception_type_t | ex_type
mach_msg_type_number_t | data_count
integer_t | ex_data [2]

## Detailed Description

Definition at line 45 of file darwin-nat.h.

## Member Data Documentation

## ◆ data_count

mach_msg_type_number_t darwin_exception_msg::data_count

Definition at line 57 of file darwin-nat.h.

Referenced by darwin_decode_exception_message().

## ◆ ex_data

integer_t darwin_exception_msg::ex_data[2]

Definition at line 58 of file darwin-nat.h.

Referenced by darwin_decode_exception_message(), darwin_decode_message(), and darwin_resume_thread().

## ◆ ex_type

exception_type_t darwin_exception_msg::ex_type

Definition at line 54 of file darwin-nat.h.

Referenced by darwin_decode_exception_message(), darwin_decode_message(), darwin_resume_thread(), and darwin_wait().

## ◆ header

mach_msg_header_t darwin_exception_msg::header

Definition at line 47 of file darwin-nat.h.

Referenced by darwin_decode_exception_message(), and darwin_send_reply().

## ◆ task_port

mach_port_t darwin_exception_msg::task_port

Definition at line 51 of file darwin-nat.h.

Referenced by darwin_decode_exception_message().

## ◆ thread_port

mach_port_t darwin_exception_msg::thread_port

Definition at line 50 of file darwin-nat.h.

Referenced by darwin_decode_exception_message().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/darwin-nat.h